declare type State = Record<string, any>;
interface GetSetStore<T> {
    (): T;
    (payload: Partial<T> | ((prev: T) => Partial<T>)): void;
}
declare type InitStore<T> = (store: GetSetStore<T>) => T;
declare type UseStore<T> = () => T;
declare function create<T extends State>(initStore: InitStore<T>): UseStore<T>;

export { create as default };
